Bug 650665 - [abrt] yum-utils-1.1.28-1.fc14: yumRepo.py:813:_getFile:NoMoreMirrorsRepoError: failure: repodata/e66eba05f6594a03b52ab68ecc4e7b3f64c8ba5441801e650ad6b7122e827383-filelists.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
[abrt] yum-utils-1.1.28-1.fc14: yumRepo.py:813:_getFile:NoMoreMirrorsRepoErro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:adb3ba05
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 12:15 EST by Michel Alexandre Salim
Modified: 2014-01-21 18:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (2.49 KB, text/plain)
2010-11-07 12:15 EST, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2010-11-07 12:15:39 EST
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python -tt /usr/bin/repoquery -q --tree-whatrequires vala
comment: Looks like repoquery does not catch the exception yum throws when there are some problems with mirrors
component: yum-utils
executable: /usr/bin/repoquery
kernel: 2.6.35.6-48.fc14.x86_64
package: yum-utils-1.1.28-1.fc14
reason: yumRepo.py:813:_getFile:NoMoreMirrorsRepoError: failure: repodata/e66eba05f6594a03b52ab68ecc4e7b3f64c8ba5441801e650ad6b7122e827383-filelists.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
release: Fedora release 14 (Laughlin)
time: 1289149918
uid: 500

How to reproduce
-----
1. repoquery -q --tree-what-requires any-package
Comment 1 Michel Alexandre Salim 2010-11-07 12:15:42 EST
Created attachment 458479 [details]
File: backtrace
Comment 2 Pierre-YvesChibon 2010-12-17 04:09:43 EST
Package: yum-utils-1.1.28-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. repoquery --tree-whatrequires gcc
2.
3.


Comment
-----
I just run the command "repoquery --tree-whatrequires gcc". 

I do have network (the command "repoquery --tree-whatrequires gcc" works).
Comment 3 Pierre-YvesChibon 2011-01-20 08:29:35 EST
Package: yum-utils-1.1.28-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. try repoquery --whatrequires automake
2. crash
3.


Comment
-----
While "repoquery --whatrequires R" works fine, "repoquery --whatrequires automake" crashes when run as a normal user.

Running it as root worked.
Comment 4 smashfedorabugz 2011-03-22 21:19:25 EDT
Package: yum-utils-1.1.28-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. did repoquery --list asterisk as a non-root user in bash
2.
3.
Comment 5 Benjamin Otte 2011-07-13 05:32:11 EDT
I just had that error when trying to do an update from the UI on a machine I hadn't used in a while. I then tried to do "yum update", which didn't work either.
Bug 680552 provided a workaround, which is to "yum clean all".

I do have no idea what I just did and why it works, but I'd like my package manager being able to fix itself instead of requiring me to google random commands.
Comment 6 Fedora End Of Life 2012-08-16 16:37:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.